## org.hibernate.ejb.packaging
Class PackageFilter

    java.lang.Object
      org.hibernate.ejb.packaging.Filter
          org.hibernate.ejb.packaging.JavaElementFilter
              org.hibernate.ejb.packaging.PackageFilter

    public abstract class PackageFilter

extends JavaElementFilter

Filter on pachage element

See Also:
  `JavaElementFilter`

Constructor Summary
`protected` `PackageFilter(boolean retrieveStream, Class[] annotations)`

Method Summary

Methods inherited from class org.hibernate.ejb.packaging.JavaElementFilter
`accept, getAnnotations`

Methods inherited from class org.hibernate.ejb.packaging.Filter
`getStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageFilter

    protected PackageFilter(boolean retrieveStream,
                            Class[] annotations)

See Also:
  `JavaElementFilter.JavaElementFilter(boolean, Class[])`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.